<html>
   <head>
      <meta http-equiv="pragma"        content="no-cache">
      <meta http-equiv='content-type'  content='text/html; charset=utf-8'>
      <title>Wrightia :: Service's Comments Viewer</title>
      %invoke wia.svccommtsvuer.ui.util:getStyleMetadata%
      <link rel="stylesheet" type="text/css" href="%value WmRoot/cssFilename%">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/wrightia.css">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/onlinedoc.css">
      <link rel="stylesheet" type="text/css" href="css/package.css" />
      %end invoke%
      <style>
         td div.note
            {
            width: 100%;
            margin: 0 0 2em 0;
            padding: 0;
            }
         td div.note p
            {
            margin: .5em 0;
            padding: 0;
            }
      </style>
   </head>

   <body>
      <table class="topContainer">
         <tr>
            <td class="menusection menusection-ServiceCommentsViewer" colspan="2">Service Selection</td>
         </tr>
         <tr>
            <td>
               <ul>
                  <li><a href="./">Go Home</a></li>
               </ul>
            <td>
         </tr>
      </table>
      <table class="mainContainer"><!-- this table is being used only to set a left indentation to the child tables -->
         <tr>
            <td width="10">&nbsp;</td>
            <td>
               <div class="note">
                  <p>
                     Select an <span class="productname">Integration server</span> from the list and indicate
                     the full namespace of an existing service, <span class="productname">WSC</span> or <span class="productname">WSD</span>.
                  </p>
               </div>
               <form name="frmMain" method="post" action="service_comments.dsp">
                  <table name="formContainer" class="formContainer">
                     %invoke wia.svccommtsvuer.ui.selectservice:getMetadata%
                        <tr class="heading">
                           <td colspan="4">Indicate a service to instrospect</td>
                        </tr>
                        <tr>
                           <td class="oddrow" colspan="4">
                              <table width="100%">
                                 <tr><td colspan="4">&nbsp;</td></tr>
                                 %ifvar Servers%
                                 <tr>
                                    <td width="10">&nbsp;</td>
                                    <td class="oddrow">Integration Server:</td>
                                    <td>
                                       <select name="remoteAlias">
                                          <option %ifvar selectServer%%else%selected%endif% value="">&lt;localhost&gt;</option>
                                          %loop Servers%
                                             <option value="%value $alias%" %ifvar /selectServer vequals($alias)%selected%endif%>%value host%:%value port%</option>
                                          %end loop%
                                       </select>
                                    </td>
                                    <td width="10">&nbsp;</td>
                                 </tr>
                                 %else%
                                    <input type="hidden" name="noremoteaccess" value="true" />
                                 %endif%
                                 <tr>
                                    <td>&nbsp;</td>
                                    <td class="oddrow" nowrap>Service Name:</td>
                                    <td><input type="text" id="serviceName" name="serviceName" value="%value serviceName%" size="100" /></td>
                                    <td>&nbsp;</td>
                                 </tr>
                                 <tr>
                                    <td width="10">&nbsp;</td>
                                    <td class="oddrow">Show developer notes:</td>
                                    <td>
                                       <input type="checkbox" name="showDeveloperNotes" value="true"/>
                                    </td>
                                    <td width="10">&nbsp;</td>
                                 </tr>
                                 <tr><td colspan="4">&nbsp;</td></tr>
                              </table>
                           </td>
                        </tr>
                        <tr>
                           <td class="action" colspan="4">
                              <input type="hidden" name="action" id="action" value="get" />
                              <input type="submit" value="Get Comments" />
                           </td>
                        </tr>
                     %onerror%
                        <tr>
                           <td class="message" colspan="4">
                              An error occurred trying to build the report data.
                              Check by executing the '%value errorService%' service on a browser.
                              The error details are as follows: <br/><br/>
                              %value errorMessage encode(xml)%
                           </td>
                        </tr>
                     %end invoke%
                  </table>
               </form>
            </td>
         </tr>
      </table>
   </body>
</html>
